Generation Framework

## org.eclipse.gmf.tooldef
Interface StyleSelector

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenericStyleSelector

All Known Implementing Classes:
  GenericStyleSelectorImpl

public interface StyleSelector
extends EObject

A representation of the model object 'Style Selector'.

See Also:
  `GMFToolPackage.getStyleSelector()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`boolean` `isOk(java.lang.Object style)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isOk

    public boolean isOk(java.lang.Object style)

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.